; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env:nano]
platform = atmelavr
board = nanoatmega328
framework = arduino
lib_deps = ArduinoJson
build_flags = -Wall

[env:mega]
platform = atmelavr
board = megaatmega2560
framework = arduino
lib_deps = ArduinoJson
build_flags = -Wall

[env:mega-nojsonrpcmember]
platform = atmelavr
board = megaatmega2560
framework = arduino
lib_deps = ArduinoJson
build_flags = -Wall -DARDUINOJSONRPC_USE_JSONRPC_MEMBER=0

[env:mega-debug]
platform = atmelavr
board = megaatmega2560
framework = arduino
lib_deps = ArduinoJson
build_flags = -Wall -DARDUINOJSONRPC_DEBUG
